from machine import Pin
import time

class FloatSensor():

    def __init__(self, pin, name="Float Sensor"):
        self.pin_num = pin
        self.sensor_pin = Pin(pin, Pin.IN, Pin.PULL_DOWN)
        self.name = name

    def check_float(self):
        if self.sensor_pin.value() == 1:
            print(f"{self.name} is not floating")
            return 0
        else:
            print(f"{self.name} is floating")
            return 1


    def check_float_old(self):
        floating = False
        for _ in range(20):
            if self.sensor_pin.value() == 0:
                floating = True
                print(f"{self.name} is not floating")
                return 0
            time.sleep(0.1)

        if not floating:
            print(f"{self.name} is floating")
            return 1