import machine
from machine import UART, Pin, I2C
from ssd1306 import SSD1306_I2C
import time

# Setup UART
#uart = machine.UART(1, baudrate=115200)
uart =UART(0,baudrate = 115200,bits = 8,parity = None,stop = 1 ,tx = Pin(0),rx = Pin(1))
i2c = I2C(1, scl=Pin(7), sda=Pin(6), freq=200000)#Grove - OLED oled 0.96" (SSD1315)
oled = SSD1306_I2C(128, 64, i2c)

def send_message(msg):
    uart.write(msg.encode('utf-8'))

oled.fill(0)#clear


while True:
    # Check for incoming messages
    if uart.any():
        try:
            incoming_data = uart.read().decode('utf-8')
            messages = incoming_data.split('\n')
            for message in messages:
                if message:  # Check if message is not empty
                    oled.fill(0) #clear
                    oled.text(message.strip(),0,0)
                    oled.show()
                    
    # Example: Send a message every 5 seconds
    #time.sleep(5)
    #send_message("Hello from Pico")
