import ssd1306
from machine import Pin, I2C
import math

# Initialize I2C
i2c = I2C(0, scl=Pin(5), sda=Pin(4), freq=200000)

# Initialize OLED Display
oled = ssd1306.SSD1306_I2C(128, 64, i2c)

# Function to draw a smiley mouth
def draw_smiley_mouth(oled, start_x, start_y, width, height):
    # Calculate the center and the radius of the half-circle
    center_x = start_x + width // 2
    center_y = start_y + height // 2
    radius = width // 2

    # Draw the half-circle pixel by pixel
    for x in range(start_x, start_x + width):
        # Calculate the y coordinate based on the half-circle equation
        y = int(math.sqrt(radius**2 - (x - center_x)**2) + center_y)

        # Draw the pixel
        oled.pixel(x, y, 1)

# Clear the display
oled.fill(0)

# Draw the smiley mouth
draw_smiley_mouth(oled, 16, 0, 90, 20)  # Adjust these values as needed

# Show the drawing
oled.show()
