from machine import ADC, Pin
import time

REFERENCE_VOLTAGE = 3.3

# Setup ADC for pin 26 (A0 on the XIAO RP2040)
class WaterLevelAnalog():
    def __init__(self, pin):
        self.adc = ADC(Pin(pin))


    def read_voltage(self):
        value = self.adc.read_u16()      # Read the raw 16-bit value
        voltage = (value / 65535) * REFERENCE_VOLTAGE  # Convert to voltage
        return voltage


if __name__ == "__main__":
    sensor = WaterLevelAnalog(pin=26)
    while True:
        voltage = sensor.read_voltage()
        print("Voltage:", voltage, "V")
        time.sleep(1)  # Wait for a second before reading again